POST /ppt/updateOutline
curl --request POST \
--url https://api.maxapi.ai/ppt/updateOutline \
--header 'Content-Type: text/plain' \
--data '
{
"outlineMarkdown": "# 主题\n## 章节\n### 页面标题\n#### 内容标题",
"length": "medium"
}
'import requests
url = "https://api.maxapi.ai/ppt/updateOutline"
payload = {
"outlineMarkdown": "# 主题
## 章节
### 页面标题
#### 内容标题",
"length": "medium"
}
headers = {"Content-Type": "text/plain"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'text/plain'},
body: JSON.stringify({outlineMarkdown: '# 主题\n## 章节\n### 页面标题\n#### 内容标题', length: 'medium'})
};
fetch('https://api.maxapi.ai/ppt/updateOutline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.maxapi.ai/ppt/updateOutline"
payload := strings.NewReader("{\n \"outlineMarkdown\": \"# 主题\\n## 章节\\n### 页面标题\\n#### 内容标题\",\n \"length\": \"medium\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "text/plain")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.maxapi.ai/ppt/updateOutline")
.header("Content-Type", "text/plain")
.body("{\n \"outlineMarkdown\": \"# 主题\\n## 章节\\n### 页面标题\\n#### 内容标题\",\n \"length\": \"medium\"\n}")
.asString();"<string>"POST /ppt/updateOutline
Use this endpoint to call the provider-compatible post /ppt/updateoutline operation through MaxAPI.
POST
https://api.maxapi.ai
/
ppt
/
updateOutline
POST /ppt/updateOutline
curl --request POST \
--url https://api.maxapi.ai/ppt/updateOutline \
--header 'Content-Type: text/plain' \
--data '
{
"outlineMarkdown": "# 主题\n## 章节\n### 页面标题\n#### 内容标题",
"length": "medium"
}
'import requests
url = "https://api.maxapi.ai/ppt/updateOutline"
payload = {
"outlineMarkdown": "# 主题
## 章节
### 页面标题
#### 内容标题",
"length": "medium"
}
headers = {"Content-Type": "text/plain"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'text/plain'},
body: JSON.stringify({outlineMarkdown: '# 主题\n## 章节\n### 页面标题\n#### 内容标题', length: 'medium'})
};
fetch('https://api.maxapi.ai/ppt/updateOutline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.maxapi.ai/ppt/updateOutline"
payload := strings.NewReader("{\n \"outlineMarkdown\": \"# 主题\\n## 章节\\n### 页面标题\\n#### 内容标题\",\n \"length\": \"medium\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "text/plain")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.maxapi.ai/ppt/updateOutline")
.header("Content-Type", "text/plain")
.body("{\n \"outlineMarkdown\": \"# 主题\\n## 章节\\n### 页面标题\\n#### 内容标题\",\n \"length\": \"medium\"\n}")
.asString();"<string>"